Technical

SSL Chrome issue in Chrome 44

Information and links to fix the Google Chrome issue in Chrome 44 causing SSL errors in WordPress. Now fixed in 44.0.2403.107.

WordPress 3.5.1 – Upgrade now!

WordPress is our preferred blog/cms platform here at BetterWebSpace, as such we install it for a lot of clients and have it as an easy install in our control panel. ¬†For these reasons we feel it’s only right that when a security update is released we comment on it here!